ELF64_OFFSCN(3)

NAME
elf64_offscn - retrieve a section descriptor by file offset for a 64-bit ELF file

SYNOPSIS
#include <libelf.h> Elf_Scn *elf64_offscn(Elf *elf, off_t offset);

DESCRIPTION
The elf64_offscn function retrieves the section descriptor for the non-empty section at the specified file offset in the ELF64 object referred to by elf.

PARAMETERS

elf An Elf pointer to the ELF object from which the section descriptor is to be retrieved.

offset
    An off_t value representing the file offset of the section whose descriptor is to be retrieved.

RETURN VALUE
The elf64_offscn function returns a pointer to the Elf_Scn of the non-empty section with a sh_offset matching offset. If an error occurs, it returns NULL and sets an appropriate libelf error code.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

SEE ALSO
elf32_offscn(3), libelf(3), elf(5),

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.

HISTORY
elf64_offscn first appeared in elfutils 0.112. This elfutils libelf function may not be found in other libelf implementations.